Bug 31276 - Report results are limited to 999,999 no matter the actual number of results
Summary: Report results are limited to 999,999 no matter the actual number of results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-01 14:34 UTC by Kyle M Hall
Modified: 2022-10-23 09:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31276: Report results are limited to 999,999 no matter the actual number of results (2.90 KB, patch)
2022-08-01 14:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 31276: Report results are limited to 999,999 no matter the actual number of results (2.95 KB, patch)
2022-08-09 14:06 UTC, Rachael
Details | Diff | Splinter Review
Bug 31276: Report results are limited to 999,999 no matter the actual number of results (3.02 KB, patch)
2022-08-12 13:34 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2022-08-01 14:34:14 UTC
In Koha, any report that uses C4::Reports::Guided will be limited to 999,999 rows. This is causing problems for larger libraries where some reports may have over a million results.
Comment 1 Kyle M Hall 2022-08-01 14:51:53 UTC
Created attachment 138477 [details] [review]
Bug 31276: Report results are limited to 999,999 no matter the actual number of results

In Koha, any report that uses C4::Reports::Guided will be limited to 999,999 rows. This is causing problems for larger libraries where some reports may have over a million results.

Test Plan:
1) Create a report "SELECT * FROM borrowers" and run it, note the number
   of results
2) Apply this patch
3) Add the line `<report_results_limit>3</report_results_limit>`
   within the <config> block of your koha-conf.xml
4) Restart all the things!
5) Run the report, download the results as a CSV
6) Note your CSV only has 4 lines, the header and 3 patrons
Comment 2 Katrin Fischer 2022-08-05 11:02:42 UTC
Please don't forget to set Assignee!
Comment 3 Jonathan Druart 2022-08-09 08:54:39 UTC
There is no signed-off-by patch here.
Comment 4 Rachael 2022-08-09 14:06:25 UTC
Created attachment 138915 [details] [review]
Bug 31276: Report results are limited to 999,999 no matter the actual number of results

In Koha, any report that uses C4::Reports::Guided will be limited to 999,999 rows. This is causing problems for larger libraries where some reports may have over a million results.

Test Plan:
1) Create a report "SELECT * FROM borrowers" and run it, note the number
   of results
2) Apply this patch
3) Add the line `<report_results_limit>3</report_results_limit>`
   within the <config> block of your koha-conf.xml
4) Restart all the things!
5) Run the report, download the results as a CSV
6) Note your CSV only has 4 lines, the header and 3 patrons

Signed-off-by: Rachael Laritz <rachael.laritz@inlibro.com>
Comment 5 Martin Renvoize 2022-08-12 13:34:45 UTC
Created attachment 139052 [details] [review]
Bug 31276: Report results are limited to 999,999 no matter the actual number of results

In Koha, any report that uses C4::Reports::Guided will be limited to 999,999 rows. This is causing problems for larger libraries where some reports may have over a million results.

Test Plan:
1) Create a report "SELECT * FROM borrowers" and run it, note the number
   of results
2) Apply this patch
3) Add the line `<report_results_limit>3</report_results_limit>`
   within the <config> block of your koha-conf.xml
4) Restart all the things!
5) Run the report, download the results as a CSV
6) Note your CSV only has 4 lines, the header and 3 patrons

Signed-off-by: Rachael Laritz <rachael.laritz@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2022-08-12 13:35:05 UTC
Trivial change, passing QA
Comment 7 Tomás Cohen Arazi 2022-08-16 12:20:35 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-09-30 23:03:36 UTC
Backported to 22.05.x for 22.05.06
Comment 9 Victor Grousset/tuxayo 2022-10-16 16:09:07 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 10 Arthur Suzuki 2022-10-22 22:09:28 UTC
Thanks!

Pushed to 21.11 for 21.11.12